Rensei docs

Update a project (rename / re-slug / describe).

Update a project (rename / re-slug / describe). - Rensei REST API operation reference.

PATCH
/api/projects/{projectId}

Authorization

headerAuthorizationBearer <rsk_live_*>

Rensei API key presented as Authorization: Bearer rsk_live_. Required API-key scopes are recorded per operation in x-rensei-required-scopes.

Path Parameters

projectId*string

Project id.

Request Body

application/json
  1. body
name?string
slug?string

Lowercase alphanumeric with hyphens.

description?string|null

Response Body

Project updated.

application/json
  1. response
project*
Example Request
curl -X PATCH 'https://app.rensei.ai/api/projects/string' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "project": {    "id": "string",    "orgId": "string",    "name": "string",    "slug": "string",    "description": "string",    "property1": null,    "property2": null  }}